- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::FieldReader Class Reference

List of all members.

## Public Member Functions
| FieldReader ()
| FieldReader (const FieldReader &ic)
virtual | ~FieldReader ()
virtual FieldReader & | operator= (const FieldReader &ic)
void | attach (std::istream *input)
void | detach ()
virtual bool | eof () const
bool | readField (Field &fieldPtr)
void | ignoreField ()
int | getNoNestedBrackets () const
| no of unmatched `{' encountered so far in file

## Constructor & Destructor Documentation

FieldReader::FieldReader | ( |  | ) |

FieldReader::FieldReader | ( | const FieldReader & | ic | ) |

FieldReader::~FieldReader | ( |  | ) | `[virtual]`

## Member Function Documentation

void FieldReader::attach | ( | std::istream * | input | ) |

void FieldReader::detach | ( |  | ) |

bool FieldReader::eof | ( |  | ) | const`[virtual]`

int FieldReader::getNoNestedBrackets | ( |  | ) | const

| no of unmatched `{' encountered so far in file

void FieldReader::ignoreField | ( |  | ) |

FieldReader & FieldReader::operator= | ( | const FieldReader & | ic | ) | `[virtual]`

bool FieldReader::readField | ( | Field & | fieldPtr | ) |

The documentation for this class was generated from the following files:

- FieldReader
- FieldReader.cpp